Index: BLFS/libs/func_dependencies
===================================================================
--- BLFS/libs/func_dependencies	(revision 76d58bc22aa3ed9693a10d6e2b32162f09991e76)
+++ BLFS/libs/func_dependencies	(revision ba5efc414d1b11e7847363df192e51b0e4e28160)
@@ -221,73 +221,100 @@
     # due empty *.xinc files
     case $DEP in
-      jadetex | perl-* | lynx | Links | w3m )
-        # Optional dependencies are runtime only
+      akode )
+        # Both are in the same page
+        [[ "$PKG" = "kdemultimedia" ]] && continue
+        ;;
+      aRts )
+        # esound-->aRts-->esound
+        [[ "$PKG" = "esound" ]] && continue
+        ;;
+      dbus-bindings )
+        # True circular dependecy
+        [[ "$PKG" = "dbus-bindings" ]] && continue
+        ;;
+      DocBook )
+        # Used to rebuild the documentation
+        [[ "$PKG" = "linux-pam" ]] && continue
+        ;;
+      docbook-xsl )
+        # Used to rebuild the documentation
+        [[ "$PKG" = "linux-pam" ]] && continue
+        ;;
+      doxygen )
+        # Used to rebuild the documentation
+        [[ "$PKG" = "dbus" ]] && continue
+        [[ "$PKG" = "libdvdcss" ]] && continue
+        [[ "$PKG" = "libusb" ]] && continue
+        [[ "$PKG" = "libxcb" ]] && continue
+        ;;
+      espgs )
+        # Used to rebuild the documentation
+        [[ "$PKG" = "$MAIL_SERVER" ]] && continue
+        ;;
+      ffmpeg )
+        # alsa-plugins-->ffmpeg-->several-->alsa-plugins
+        [[ "$PKG" = "alsa-plugins" ]] && continue
+        ;;
+      fop )
+        # Used to rebuild the documentation
+        [[ "$PKG" = "linux-pam" ]] && continue
+        ;;
+      graphviz )
+        # Used to build the API documentation
+        [[ "$PKG" = "libusb" ]] && continue
+        ;;
+      GTK )
+        # deprecated GTK version
+        [[ "$PKG" = "alsa-tools" ]] && continue
+        ;;
+      gtk2 )
+        # Testsuite only
+        [[ "$PKG" = "cairo" ]] && continue
+        ;;
+      jadetex )
+        # Runtime only
         [[ "$PKG" = "docbook-utils" ]] && continue
-        # w3c is used only to rebuild the documentation
-        [[ "$PKG" = "linux-pam" ]] && continue
+        ;;
+      $KBR5 )
+        # cyrus-sasl-->postgresql-->$KBR5-->openldap-->cyrus-sasl
+        [[ "$PKG" = "cyrus-sasl" ]] && continue
+        ;;
+      librsvg )
+        # Testsuite only
+        [[ "$PKG" = "cairo" ]] && continue
         ;;
       libxslt )
         # libxml2-->libxslt-->libxml2
         [[ "$PKG" = "libxml2" ]] && continue
-        # Used only to rebuild the documentation
+        ;;
+      Links )
+        # Runtime only
+        [[ "$PKG" = "docbook-utils" ]] && continue
+        ;;
+      lynx )
+        # Runtime only
+        [[ "$PKG" = "docbook-utils" ]] && continue
+        ;;
+      openldap )
+        # cyrus-sasl-->postgresql-->$KBR5-->openldap-->cyrus-sasl
+        [[ "$PKG" = "cyrus-sasl" ]] && continue
+        ;;
+      poppler )
+        # Testsuite only
+        [[ "$PKG" = "cairo" ]] && continue
+        ;;
+      postgresql )
+        # cyrus-sasl-->postgresql-->$KBR5-->openldap-->cyrus-sasl
+        [[ "$PKG" = "cyrus-sasl" ]] && continue
+        ;;
+      tk )
+        # python-->tk-->xorg7-->several combinations-->libxslt-->python
+        [[ "$PKG" = "python" ]] && continue
+        ;;
+      w3m )
+        # Runtime only
+        [[ "$PKG" = "docbook-utils" ]] && continue
+        # Used to rebuild the documentation
         [[ "$PKG" = "linux-pam" ]] && continue
-        ;;
-      openldap | postgresql | $KBR5 )
-        # cyrus-sasl-->several-->cyrus-sasl
-        [[ "$PKG" = "cyrus-sasl" ]] && continue
-        ;;
-      espgs )
-        # sendmail-->espgs-->cups-->php-->sendmail
-        [[ "$PKG" = "$MAIL_SERVER" ]] && continue
-        ;;
-      aRts )
-        # esound-->aRts-->esound
-        [[ "$PKG" = "esound" ]] && continue
-        ;;
-      gimp | sane )
-        # imagemagick-->{sane}-->gimp-->imagemagick
-        [[ "$PKG" = "imagemagick" ]] && continue
-        ;;
-      ffmpeg )
-        # alsa-plugins-->ffmpeg-->several-->alsa-plugins
-        [[ "$PKG" = "alsa-plugins" ]] && continue
-        ;;
-      GTK )
-        # deprecated GTK version
-        [[ "$PKG" = "alsa-tools" ]] && continue
-        ;;
-      akode )
-        # Both are in the same page
-        [[ "$PKG" = "kdemultimedia" ]] && continue
-        ;;
-      dbus )
-        # cups-->dbus-->several combinations-->cups
-        [[ "$PKG" = "cups" ]] && continue
-        ;;
-      librsvg | poppler | gtk2 )
-        # All optinal testsuite dependencies are circular
-        [[ "$PKG" = "cairo" ]] && continue
-        ;;
-      fop | docbook-xsl | DocBook )
-        # Used only to rebuild the documentation
-        [[ "$PKG" = "linux-pam" ]] && continue
-        ;;
-      doxygen )
-        # Used only to rebuild the documentation
-        [[ "$PKG" = "libxcb" ]] && continue
-        [[ "$PKG" = "libusb" ]] && continue
-        [[ "$PKG" = "dbus" ]] && continue
-        ;;
-      tk )
-        # python-->tk-->xorg7-->libxcb-->libxslt-->python
-        [[ "$PKG" = "python" ]] && continue
-        ;;
-      graphviz )
-        # Used only to build the API documentation
-        [[ "$PKG" = "libusb" ]] && continue
-        ;;
-      dbus-bindings )
-        # True circular dependecy
-        [[ "$PKG" = "dbus-bindings" ]] && continue
         ;;
     esac
